import Dexie from "dexie";
export interface CommentLike {
    id: string;
    mid: string;
    uid: string;
    cid: string;
    create_time: number;
}
declare class CommentLikeTable {
    private table;
    init(db: Dexie): void;
    bulkGet(ids: string[]): import("dexie").PromiseExtended<CommentLike[]> | undefined;
    bulkDel(ids: string[]): Promise<void>;
    bulkPut(commentLikes: CommentLike[]): Promise<void>;
    publishLikesUpdate(): void;
}
declare const commentLikeStore: CommentLikeTable;
export default commentLikeStore;
